<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="TestTool.RemoteTriggerAPP.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
    </sectionGroup>
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="TestTool.RemoteTriggerAPP.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <connectionStrings>
    <add name="ConnectionLogDBContext" connectionString="Server=tcp:zerova-evbackend.database.windows.net,1433;initial catalog=StandardOCPP_ConnectionLog;persist security info=True;user id=ev_user;password=Thw2DEa2hZPdg;MultipleActiveResultSets=True;App=EntityFramework" providerName="System.Data.SqlClient" />
    <add name="MainDBContext" connectionString="Server=tcp:zerova-ev-dev.database.windows.net,1433;initial catalog=StandardOCPP_Main;;persist security info=True;user id=azdevsoftware;password=1h52dev#az;MultipleActiveResultSets=True;App=EntityFramework; Max Pool Size=1000" providerName="System.Data.SqlClient" />
  </connectionStrings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.1" />
  </startup>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.LocalDbConnectionFactory, EntityFramework">
      <parameters>
        <parameter value="mssqllocaldb" />
      </parameters>
    </defaultConnectionFactory>
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
  <applicationSettings>
    <TestTool.RemoteTriggerAPP.Properties.Settings>
      <setting name="UpdateFWPreUrl" serializeAs="String">
        <value>http://20.78.235.164:5000/</value>
      </setting>
      <setting name="FTPUpdateFWPreUrl" serializeAs="String">
        <value>ftps://testocpp:testocpp@ocpp.phihong.com.tw:5002/</value>
      </setting>
      <setting name="GetDiagnosticsPreUrl" serializeAs="String">
        <value>http://20.78.235.164:5000/api/v1/file/</value>
      </setting>
      <setting name="FTPGetDiagnosticsPreUrl" serializeAs="String">
        <value>ftps://evseocpp:evseocpp@ocpp.phihong.com.tw:5002/</value>
      </setting>
    </TestTool.RemoteTriggerAPP.Properties.Settings>
  </applicationSettings>
  <userSettings>
    <TestTool.RemoteTriggerAPP.Properties.Settings>
      <setting name="ChargeBoxId" serializeAs="String">
        <value>OCTT_1</value>
      </setting>
    </TestTool.RemoteTriggerAPP.Properties.Settings>
  </userSettings>
</configuration>